Plans

Push a plan and its Specs to the connected tracker

POST
/v1/projects/{projectSlug}/plans/{planShortId}/push

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

projectSlug*string

Project slug, e.g. recipe-box.

planShortId*string

Plan handle within the project, e.g. PLAN-12.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/string/plans/string/push" \  -H "Content-Type: application/json" \  -d '{}'
{  "push": {    "status": "pushed",    "provider": "linear",    "planShortId": "string",    "planName": "string",    "projectExternalId": "string",    "pushedItemCount": 0,    "dependencyCount": 0,    "containerCount": 0,    "planEdgeCount": 0,    "ancestorNames": [      "string"    ],    "caveats": [      "string"    ],    "message": "string"  }}